Subject: bug#10257: 23.3.1 Cygwin: network drives - file is write protected (false positive)

From: Jason Rumney <[email-masked]>
Date: Thu, 15 Dec 2011 22:44:24 +0800

Eli Zaretskii <[email-masked]> writes:

>> Sure, but because The network drive is not part of Windows Domain, I'm
>> afraid Cygwin has any means to determine what the correct UID or GID
>> would be are as they have no correspondence on the Windows side.
>
> ??? As long as the network drive is mounted using Windows APIs (which
> must be the case), the NT security features should be fully supported
> for it.

If the two computers are not members of the same domain, they know
nothing about each others users and groups.